Bug 364421 - Kernel panic when using sg driver to write
Summary: Kernel panic when using sg driver to write
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Martin Jenner
URL: http://pastebin.com/m634cc129
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-02 18:55 UTC by Sean Bruno
Modified: 2008-04-21 13:40 UTC (History)
1 user (show)

Fixed In Version: RHEL 5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 13:40:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source file that exhibits failure (13.95 KB, text/plain)
2007-11-02 18:55 UTC, Sean Bruno
no flags Details
Additional header file required (617 bytes, application/octet-stream)
2007-11-02 18:56 UTC, Sean Bruno
no flags Details

Description Sean Bruno 2007-11-02 18:55:59 UTC
Description of problem:
Using a custom program(attached) to write to an sg device causes a kernel panic.
 This behavior is seen with all CentOS 5 kernels. It is not seen in CentOS 4 or
in 2.6.23.1

Version-Release number of selected component (if applicable):
2.6.18-8.1.15

How reproducible:
Everytime

Steps to Reproduce:
1. Use the attached code to write data to an sg device
2.
3.
  
Actual results:
Kerne panic

Expected results:
sg write succeeds

Additional info:

Comment 1 Sean Bruno 2007-11-02 18:55:59 UTC
Created attachment 246961 [details]
source file that exhibits failure

Comment 2 Sean Bruno 2007-11-02 18:56:57 UTC
Created attachment 246971 [details]
Additional header file required

Comment 3 John Feeney 2008-04-16 21:23:15 UTC
Sean,
Does this still fail in RHEL5.1? A fix was added to RHEL5.1 to prevent a 
panic within the sg driver when writing so I was wondering. I don't see a 
call trace of the panic so I can't compare it to the one found in the other
bugzilla. Hence my question.
Thanks for any feedback.
 

Comment 4 Sean Bruno 2008-04-19 03:37:16 UTC
Thanks for the follow up.  The code in attachment 1 [details] and 2 does not panic under
RHEL 5.1 ... Thanks!




Note You need to log in before you can comment on or make changes to this bug.